Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.persist.dbo
Interface HL7MessageLogDBO

All Superinterfaces:
  DBObject

All Known Implementing Classes:
  HL7MessageLogDBOImpl

    public interface HL7MessageLogDBO

extends DBObject

HL7MessageLogDBO instance

Author:
  S. Nageswara Rao

Field Summary
`static java.lang.String` | `BASE_DELETE_STMT_STR` delete statement
`static java.lang.String` | `BASE_INSERT_STMT_STR` insert statement
`static java.lang.String` | `BASE_QUERY_STMT_STR` query statement
`static java.lang.String` | `BASE_QUERY_STMT_WITH_STATUS_STR` query statement
`static java.lang.String` | `BASE_UPDATE_STMT_STR` update statement
`static java.lang.String` | `BASE_UPDATE_STMT_WITH_STATUS_STR` update statement
`static java.lang.String` | `TABLE_NAME_HL7MESSAGELOG`

Method Summary
`void` | `fillQueryStmtWithStatus(java.sql.PreparedStatement stmt)` fills query statement with status
`void` | `fillUpdateStmtWithStatus(java.sql.PreparedStatement stmt)` fills update statement with status
`java.lang.String` | `getApplicationId()` gets Application ID string
`java.sql.Timestamp` | `getCreatedTime()` gets created timeStamp
`java.sql.Timestamp` | `getLastUpdatedTime()` gets last updated timeStamp
`java.lang.String` | `getMessageId()` gets Message ID string
`int` | `getOldStatus()` gets old status
`java.lang.String` | `getQueryStmtWithStatus()` gets query statement
`java.lang.String` | `getRequestMessage()` gets request Message string
`java.lang.String` | `getResponseMessage()` gets response Message string
`int` | `getStatus()` gets status
`java.lang.String` | `getUpdateStmtWithStatus()` gets query statement
`void` | `setApplicationId(java.lang.String applicationId)` sets applicationId string
`void` | `setCreatedTime(java.sql.Timestamp createdTime)` sets createdTime value
`void` | `setLastUpdatedTime(java.sql.Timestamp lastUpdatedTime)` sets last Updated Timestamp value
`void` | `setMessageId(java.lang.String messageId)` sets Message ID string
`void` | `setOldStatus(int status)` sets old status integer value
`void` | `setRequestMessage(java.lang.String requestMessage)` sets requestMessage string
`void` | `setResponseMessage(java.lang.String responseMessage)` sets responseMessage string
`void` | `setStatus(int status)` sets status integer value

Methods inherited from interface com.stc.connector.hl7.framework.persist.dbo.DBObject
`createNew, fillDeleteStmt, fillInsertStmt, fillQueryStmt, fillUpdateStmt, getDeleteStmt, getInsertStmt, getQueryStmt, getUpdateStmt, populateDBO`

Field Detail

### TABLE_NAME_HL7MESSAGELOG

    static final java.lang.String TABLE_NAME_HL7MESSAGELOG

See Also:
  Constant Field Values

### BASE_INSERT_STMT_STR

    static final java.lang.String BASE_INSERT_STMT_STR

  insert statement

  See Also:
    Constant Field Values

### BASE_UPDATE_STMT_STR

    static final java.lang.String BASE_UPDATE_STMT_STR

  update statement

  See Also:
    Constant Field Values

### BASE_UPDATE_STMT_WITH_STATUS_STR

    static final java.lang.String BASE_UPDATE_STMT_WITH_STATUS_STR

  update statement

  See Also:
    Constant Field Values

### BASE_DELETE_STMT_STR

    static final java.lang.String BASE_DELETE_STMT_STR

  delete statement

  See Also:
    Constant Field Values

### BASE_QUERY_STMT_STR

    static final java.lang.String BASE_QUERY_STMT_STR

  query statement

  See Also:
    Constant Field Values

### BASE_QUERY_STMT_WITH_STATUS_STR

    static final java.lang.String BASE_QUERY_STMT_WITH_STATUS_STR

  query statement

  See Also:
    Constant Field Values

Method Detail

### getMessageId

    java.lang.String getMessageId()

  gets Message ID string

  Returns:
    Message ID

### setMessageId

    void setMessageId(java.lang.String messageId)

  sets Message ID string

  Parameters:
    `messageId` - string value

### getApplicationId

    java.lang.String getApplicationId()

  gets Application ID string

  Returns:
    Application ID

### setApplicationId

    void setApplicationId(java.lang.String applicationId)

  sets applicationId string

  Parameters:
    `applicationId` - string value

### getRequestMessage

    java.lang.String getRequestMessage()

  gets request Message string

  Returns:
    request message string

### setRequestMessage

    void setRequestMessage(java.lang.String requestMessage)
                           throws java.sql.SQLException

  sets requestMessage string

  Parameters:
    `requestMessage` - string value
  Throws:
    `java.sql.SQLException` - SQLException

### getResponseMessage

    java.lang.String getResponseMessage()

  gets response Message string

  Returns:
    response message string

### setResponseMessage

    void setResponseMessage(java.lang.String responseMessage)
                            throws java.sql.SQLException

  sets responseMessage string

  Parameters:
    `responseMessage` - string value
  Throws:
    `java.sql.SQLException` - SQLException

### getStatus

    int getStatus()

  gets status

  Returns:
    status integer value

### setStatus

    void setStatus(int status)

  sets status integer value

  Parameters:
    `status` - integer value

### getCreatedTime

    java.sql.Timestamp getCreatedTime()

  gets created timeStamp

  Returns:
    timeStamp value

### setCreatedTime

    void setCreatedTime(java.sql.Timestamp createdTime)

  sets createdTime value

  Parameters:
    `createdTime` - TimeStamp value

### getLastUpdatedTime

    java.sql.Timestamp getLastUpdatedTime()

  gets last updated timeStamp

  Returns:
    timeStamp value

### setLastUpdatedTime

    void setLastUpdatedTime(java.sql.Timestamp lastUpdatedTime)

  sets last Updated Timestamp value

  Parameters:
    `lastUpdatedTime` - TimeStamp value

### setOldStatus

    void setOldStatus(int status)

  sets old status integer value

  Parameters:
    `status` - integer value

### getOldStatus

    int getOldStatus()

  gets old status

  Returns:
    status integer value

### fillQueryStmtWithStatus

    void fillQueryStmtWithStatus(java.sql.PreparedStatement stmt)
                                 throws java.sql.SQLException

  fills query statement with status

  Parameters:
    `stmt` - PreparedStatement
  Throws:
    `java.sql.SQLException` - SQLException

### fillUpdateStmtWithStatus

    void fillUpdateStmtWithStatus(java.sql.PreparedStatement stmt)
                                  throws java.sql.SQLException

  fills update statement with status

  Parameters:
    `stmt` - PreparedStatement
  Throws:
    `java.sql.SQLException` - SQLException

### getQueryStmtWithStatus

    java.lang.String getQueryStmtWithStatus()

  gets query statement

  Returns:
    String

### getUpdateStmtWithStatus

    java.lang.String getUpdateStmtWithStatus()

  gets query statement

  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD